Index: code/branches/HUD_HS16/src/modules/CMakeLists.txt
===================================================================
--- code/branches/HUD_HS16/src/modules/CMakeLists.txt	(revision 11497)
+++ code/branches/HUD_HS16/src/modules/CMakeLists.txt	(revision 11499)
@@ -26,7 +26,5 @@
 ################ Sub Directories ################
 
-ADD_SUBDIRECTORY(dialogue)
 ADD_SUBDIRECTORY(designtools)
-ADD_SUBDIRECTORY(dialogue)
 ADD_SUBDIRECTORY(gametypes)
 ADD_SUBDIRECTORY(notifications)
@@ -46,3 +44,2 @@
 ADD_SUBDIRECTORY(dodgerace)
 ADD_SUBDIRECTORY(hover)
-ADD_SUBDIRECTORY(superorxobros)
Index: code/branches/HUD_HS16/src/modules/dialogue/CMakeLists.txt
===================================================================
--- code/branches/HUD_HS16/src/modules/dialogue/CMakeLists.txt	(revision 11497)
+++ code/branches/HUD_HS16/src/modules/dialogue/CMakeLists.txt	(revision 11499)
@@ -1,4 +1,5 @@
 SET_SOURCE_FILES(DIALOGUE_SRC_FILES
   DialogueManager.cc
+  NextQuestion.cc
  
 )
@@ -7,6 +8,9 @@
   MODULE
   FIND_HEADER_FILES
+   TOLUA_FILES
+    DialogueManager.h
   LINK_LIBRARIES
     orxonox
   SOURCE_FILES ${DIALOGUE_SRC_FILES}
 )
+
Index: code/branches/HUD_HS16/src/modules/dodgerace/DodgeRace.cc
===================================================================
--- code/branches/HUD_HS16/src/modules/dodgerace/DodgeRace.cc	(revision 11497)
+++ code/branches/HUD_HS16/src/modules/dodgerace/DodgeRace.cc	(revision 11499)
@@ -36,5 +36,4 @@
 #include "DodgeRaceCube.h"
 #include "core/CoreIncludes.h"
-#include "Highscore.h"
 
 namespace orxonox
@@ -225,10 +224,4 @@
         // It will misteriously crash the game!
         // Instead startMainMenu, this won't crash.
-        if (Highscore::exists()){
-                    int score = this->getPoints();
-                    if(score > Highscore::getInstance().getHighestScoreOfGame("Dodge Race")) 
-                        Highscore::getInstance().storeHighscore("Dodge Race",score);
-
-          }
         GSLevel::startMainMenu();
     }
Index: code/branches/HUD_HS16/src/modules/gametypes/CMakeLists.txt
===================================================================
--- code/branches/HUD_HS16/src/modules/gametypes/CMakeLists.txt	(revision 11497)
+++ code/branches/HUD_HS16/src/modules/gametypes/CMakeLists.txt	(revision 11499)
@@ -3,5 +3,6 @@
   RaceCheckPoint.cc
   SpaceRaceManager.cc
-
+  OldSpaceRace.cc
+  OldRaceCheckPoint.cc
   SpaceRaceBot.cc
   SpaceRaceController.cc
Index: code/branches/HUD_HS16/src/modules/gametypes/OldRaceCheckPoint.cc
===================================================================
--- code/branches/HUD_HS16/src/modules/gametypes/OldRaceCheckPoint.cc	(revision 11499)
+++ code/branches/HUD_HS16/src/modules/gametypes/OldRaceCheckPoint.cc	(revision 11499)
@@ -0,0 +1,120 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Mauro Salomon
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "OldRaceCheckPoint.h"
+
+#include "util/Convert.h"
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "chat/ChatManager.h"
+
+#include "OldSpaceRace.h"
+
+namespace orxonox
+{
+    RegisterClass(OldRaceCheckPoint);
+
+    OldRaceCheckPoint::OldRaceCheckPoint(Context* context): DistanceTrigger(context), RadarViewable(this, static_cast<WorldEntity*>(this))
+    {
+        RegisterObject(OldRaceCheckPoint);
+
+        this->bCheckpointIndex_ = 0;
+        this->bIsLast_ = false;
+        this->bTimeLimit_ = 0;
+
+        this->setRadarObjectColour(ColourValue::Blue);
+        this->setRadarObjectShape(RadarViewable::Shape::Triangle);
+        this->setRadarVisibility(false);
+    }
+
+    OldRaceCheckPoint::~OldRaceCheckPoint()
+    {
+    }
+
+    void OldRaceCheckPoint::tick(float dt)
+    {
+        SUPER(OldRaceCheckPoint, tick, dt);
+
+        OldSpaceRace* gametype = orxonox_cast<OldSpaceRace*>(this->getGametype());
+        assert(gametype);
+        if (this->getCheckpointIndex() == gametype->getCheckpointsReached())
+            this->setRadarVisibility(true);
+        else
+            this->setRadarVisibility(false);
+    }
+
+    void OldRaceCheckPoint::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(OldRaceCheckPoint, XMLPort, xmlelement, mode);
+
+        XMLPortParam(OldRaceCheckPoint, "checkpointindex", setCheckpointIndex, getCheckpointIndex, xmlelement, mode).defaultValues(0);
+        XMLPortParam(OldRaceCheckPoint, "islast", setLast, getLast, xmlelement, mode).defaultValues(false);
+        XMLPortParam(OldRaceCheckPoint, "timelimit", setTimelimit, getTimeLimit, xmlelement, mode).defaultValues(0);
+    }
+
+    void OldRaceCheckPoint::triggered(bool bIsTriggered)
+    {
+        DistanceTrigger::triggered(bIsTriggered);
+
+        OldSpaceRace* gametype = orxonox_cast<OldSpaceRace*>(this->getGametype());
+        if (gametype && this->getCheckpointIndex() == gametype->getCheckpointsReached() && bIsTriggered)
+        {
+            gametype->clock_.capture();
+            float time = gametype->clock_.getSecondsPrecise();
+            if (this->bTimeLimit_!=0 && time > this->bTimeLimit_)
+            {
+                gametype->timeIsUp();
+                gametype->end();
+            }
+            else if (this->getLast())
+                gametype->end();
+            else
+            {
+                gametype->newCheckpointReached();
+                this->setRadarObjectColour(ColourValue::Green); //sets the radar colour of the checkpoint to green if it is reached, else it is red.
+            }
+        }
+    }
+
+    void OldRaceCheckPoint::setTimelimit(float timeLimit)
+    {
+        this->bTimeLimit_ = timeLimit;
+        if (this->bTimeLimit_ != 0)
+        {
+            OldSpaceRace* gametype = orxonox_cast<OldSpaceRace*>(this->getGametype());
+            if (gametype)
+            {
+                const std::string& message =  "You have " + multi_cast<std::string>(this->bTimeLimit_)
+                            + " seconds to reach the check point " + multi_cast<std::string>(this->bCheckpointIndex_+1);
+                gametype->getGametypeInfo()->sendAnnounceMessage(message);
+                ChatManager::message(message);
+            }
+        }
+    }
+
+}
Index: code/branches/HUD_HS16/src/modules/gametypes/OldRaceCheckPoint.h
===================================================================
--- code/branches/HUD_HS16/src/modules/gametypes/OldRaceCheckPoint.h	(revision 11499)
+++ code/branches/HUD_HS16/src/modules/gametypes/OldRaceCheckPoint.h	(revision 11499)
@@ -0,0 +1,77 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Mauro Salomon
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _OldRaceCheckPoint_H__
+#define _OldRaceCheckPoint_H__
+
+#include "gametypes/GametypesPrereqs.h"
+
+#include "objects/triggers/DistanceTrigger.h"
+#include "interfaces/RadarViewable.h"
+
+namespace orxonox
+{
+    /**
+    @brief
+        The OldRaceCheckPoint class enables the creation of a check point to use in a OldSpaceRace level.
+        !!! Don't forget to control the indexes of your check points and to set one last check point!!!
+    */
+    class _GametypesExport OldRaceCheckPoint : public DistanceTrigger, public RadarViewable
+    {
+        public:
+            OldRaceCheckPoint(Context* context);
+            virtual ~OldRaceCheckPoint();
+
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
+
+            protected:
+            virtual void triggered(bool bIsTriggered) override;
+            inline void setLast(bool isLast)
+                { this->bIsLast_ = isLast; }
+            inline bool getLast()
+                { return this->bIsLast_; }
+            inline void setCheckpointIndex(int checkpointIndex)
+                { this->bCheckpointIndex_ = checkpointIndex; }
+            inline int getCheckpointIndex()
+                { return this->bCheckpointIndex_; }
+            virtual void setTimelimit(float timeLimit);
+            inline float getTimeLimit()
+                { return this->bTimeLimit_;}
+            virtual inline const WorldEntity* getWorldEntity() const override
+                { return this; }
+
+        private:
+            int bCheckpointIndex_; //The index of this check point. This value will be compared with the number of check points reached in the level. The check points must be indexed in ascending order beginning from zero and without any jumps between the indexes.
+            bool bIsLast_; //True if this check point is the last of the level. There can be only one last check point for each level and there must be a last check point in the level.
+            float bTimeLimit_; //The time limit (from the start of the level) to reach this check point. If the check point is reached after this time, the game ends and the player looses.
+      
+    };
+}
+
+#endif /* _OldRaceCheckPoint_H__ */
Index: code/branches/HUD_HS16/src/modules/gametypes/OldSpaceRace.cc
===================================================================
--- code/branches/HUD_HS16/src/modules/gametypes/OldSpaceRace.cc	(revision 11499)
+++ code/branches/HUD_HS16/src/modules/gametypes/OldSpaceRace.cc	(revision 11499)
@@ -0,0 +1,104 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *     Mauro Salomon
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#include "OldSpaceRace.h"
+
+#include "core/CoreIncludes.h"
+#include "chat/ChatManager.h"
+#include "util/Convert.h"
+#include "util/Math.h"
+
+namespace orxonox
+{
+    RegisterUnloadableClass(OldSpaceRace);
+
+    OldSpaceRace::OldSpaceRace(Context* context) : Gametype(context)
+    {
+        RegisterObject(OldSpaceRace);
+        this->checkpointsReached_ = 0;
+        this->bTimeIsUp_ = false;
+        this->numberOfBots_ = 0;
+    }
+
+    void OldSpaceRace::end()
+    {
+        this->Gametype::end();
+
+        if (this->bTimeIsUp_)
+        {
+            this->clock_.capture();
+            int s = this->clock_.getSeconds();
+            int ms = static_cast<int>(this->clock_.getMilliseconds()-1000*s);
+            const std::string& message = multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms) + " seconds !!\n"
+                        + "You didn't reach the check point " + multi_cast<std::string>(this->checkpointsReached_+1)
+                        + " before the time limit. You lose!";
+            this->getGametypeInfo()->sendAnnounceMessage(message);
+            ChatManager::message(message);
+        }
+        else
+        {
+            this->clock_.capture();
+            int s = this->clock_.getSeconds();
+            int ms = static_cast<int>(this->clock_.getMilliseconds()-1000*s);
+            const std::string& message = "You win!! You have reached the last check point after "+ multi_cast<std::string>(s)
+                        + "." + multi_cast<std::string>(ms) + " seconds.";
+            this->getGametypeInfo()->sendAnnounceMessage(message);
+            ChatManager::message(message);
+/*
+            float time = this->clock_.getSecondsPrecise();
+            this->scores_.insert(time);
+            std::set<float>::iterator it;
+            for (it=this->scores_.begin(); it!=this->scores_.end(); it++)
+                orxout(level::message) << multi_cast<std::string>(*it) << endl;
+*/
+        }
+    }
+
+    void OldSpaceRace::start()
+    {
+        Gametype::start();
+
+        std::string message("The match has started! Reach the check points as quickly as possible!");
+        this->getGametypeInfo()->sendAnnounceMessage(message);
+        ChatManager::message(message);
+    }
+
+    void OldSpaceRace::newCheckpointReached()
+    {
+        this->checkpointsReached_++;
+        this->clock_.capture();
+        int s = this->clock_.getSeconds();
+        int ms = static_cast<int>(this->clock_.getMilliseconds()-1000*s);
+        const std::string& message = "Checkpoint " + multi_cast<std::string>(this->getCheckpointsReached())
+                        + " reached after " + multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms)
+                        + " seconds.";
+        this->getGametypeInfo()->sendAnnounceMessage(message);
+        ChatManager::message(message);
+    }
+
+}
Index: code/branches/HUD_HS16/src/modules/gametypes/OldSpaceRace.h
===================================================================
--- code/branches/HUD_HS16/src/modules/gametypes/OldSpaceRace.h	(revision 11499)
+++ code/branches/HUD_HS16/src/modules/gametypes/OldSpaceRace.h	(revision 11499)
@@ -0,0 +1,81 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Mauro Salomon
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+#ifndef _OldSpaceRace_H__
+#define _OldSpaceRace_H__
+
+#include "gametypes/GametypesPrereqs.h"
+
+#include <set>
+#include <string>
+
+#include <util/Clock.h>
+
+#include "gametypes/Gametype.h"
+
+#include "OldRaceCheckPoint.h"
+
+namespace orxonox
+{
+  /**
+  @brief
+    The OldSpaceRace class enables the creation of a space race level, where the player has to reach check points in a given order.
+  */
+    class _GametypesExport OldSpaceRace : public Gametype
+    {
+        friend class OldRaceCheckPoint;
+
+        public:
+            OldSpaceRace(Context* context);
+            virtual ~OldSpaceRace() {}
+
+            virtual void start() override;
+            virtual void end() override;
+
+            virtual void newCheckpointReached();
+            virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command.
+                                                        //<! This is only a temporary solution. Better: create racingBots.
+
+            inline void setCheckpointsReached(int n)
+                { this->checkpointsReached_ = n;}
+            inline int getCheckpointsReached()
+                { return this->checkpointsReached_; }
+            inline void timeIsUp()
+                { this->bTimeIsUp_ = true;}
+
+        protected:
+
+        private:
+            int checkpointsReached_; //The current number of check points reached by the player.
+            std::set<float> scores_; //The times of the players are saved in a set.
+            bool bTimeIsUp_; //True if one of the check points is reached too late.
+            Clock clock_; //The clock starts running at the beginning of the game. It is used to give the time at each check point, the give the time at the end of the game, and to stop the game if a check point is reached too late.
+    };
+}
+
+#endif /* _OldSpaceRace_H__ */
Index: code/branches/HUD_HS16/src/modules/gametypes/SpaceRace.cc
===================================================================
--- code/branches/HUD_HS16/src/modules/gametypes/SpaceRace.cc	(revision 11497)
+++ code/branches/HUD_HS16/src/modules/gametypes/SpaceRace.cc	(revision 11499)
@@ -23,42 +23,10 @@
  *     Mauro Salomon
  *   Co-authors:
- *      Celine Egger*/
-        
-
-
-
-/*
-Edited, Renewed and Revised by 
-        Berkay Berabi
-        Louis Meile
- 
- 
-To-do- list by Louis Meile and Berkay Berabi for future projects :
-- improve AI (SpaceRaceController): 
-i) so far bots arent able to evade obstacles. fix that!
-ii) bots should be able to use pickups
-- game crashes when bot wins the game(this is a huge problem you should work with the log file to find out what the errors are )
-- bots rotate while waiting for the countdown to end. make it stop!
-- add elements to level file to make it even more fun to play. be creative!
-*/
-
+ *      Celine Egger
+ *
+ */
 
 #include "SpaceRace.h"
 
-#include "core/CoreIncludes.h"
-#include "chat/ChatManager.h"
-#include "util/Convert.h"
-#include "util/Math.h"
-#include "infos/Bot.h"
-#include "items/Engine.h"
-#include "controllers/HumanController.h"
-
-#include "core/CoreIncludes.h"
-#include "chat/ChatManager.h"
-#include "infos/PlayerInfo.h"
-#include "worldentities/pawns/Pawn.h"
-#include "core/config/ConfigValueIncludes.h"
-#include "infos/Bot.h"
-#include "SpaceRaceBot.h"
 #include "items/Engine.h"
 
@@ -69,6 +37,4 @@
 #include "SpaceRaceBot.h"
 #include "items/Engine.h"
-#include <vector>
-
 
 namespace orxonox
@@ -80,87 +46,10 @@
         RegisterObject(SpaceRace);
 
-        this->botclass_ = Class(SpaceRaceBot); //ClassByString("")
+        this->botclass_ = Class(SpaceRaceBot);//ClassByString("")
         this->cantMove_ = false;
         this->bTimeIsUp_ = false;
-        this->setConfigValues();
-
-        this->numberOfBots_ = 5; // quick fix: don't allow default-bots to enter the race 
-        //we fixed the number of bots in order to have the same starting position all the time ! 
+        this->numberOfBots_ = 0; // quick fix: don't allow default-bots to enter the race
+                                 // remove this line, if a raceBot has been created.
     }
-
-  void SpaceRace::setConfigValues()
-    {
-       
-    
-    }
-
-    void SpaceRace::start()
-    {
-    // define spawn positions of the 5 bots
-
-        int startpos[15];
-        
-        startpos[0] =100;
-        startpos[1] =-40;
-        startpos[2] =0;
-        
-        startpos[3] =100;
-        startpos[4] =-40;
-        startpos[5] =100;
-        
-        startpos[6] =100;
-        startpos[7] =-40;
-        startpos[8] =-100;
-        
-        startpos[9] =0;
-        startpos[10] =-40;
-        startpos[11] =-80;
-        
-        startpos[12] =0;
-        startpos[13] =-40;
-        startpos[14] =80;
-        
-
-
-
-        Gametype::start();
-   if (true)
-        {
-            this->spawnPlayersIfRequested();
-            this->cantMove_ = true;
-            //players are unable to move while countdown is running
-            for (Engine* engine : ObjectList<Engine>()){
-                engine->setActive(false);
-                
-
-            }
-           //append spawn positions to bots
-           int a,b,c;
-            a=0;
-            b=1;
-            c=2;
-              for (SpaceRaceBot* bot : ObjectList<SpaceRaceBot>()){
-                bot->getControllableEntity()->setPosition(startpos[a],startpos[b],startpos[c]);
-               a= a+3;
-               b = b+3; 
-               c+= 3;
-            }
-
-
-        }
-
-                                                
-
-        std::string message("Use headphones to hear the countdown!");
-        this->getGametypeInfo()->sendAnnounceMessage(message);
-        ChatManager::message(message);
-
-//after 11 seconds , countdownFinished function is called to activate bots` engines
-Timer* countdownTimer = new Timer();
-        countdownTimer->setTimer(11, false, createExecutor(createFunctor(&SpaceRace::countdownFinished, this)));
-    }
-
-
-
 
     void SpaceRace::end()
@@ -174,9 +63,9 @@
         {
             message = multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms) + " seconds !!\n"
-                        + "You lose!";
+                        + "You didn't reach the check point  before the time limit. You lose!";
         }
         else
         {
-            message = "You win!! Final check point reached after "+ multi_cast<std::string>(s)
+            message = "You win!! You have reached the last check point after "+ multi_cast<std::string>(s)
                         + "." + multi_cast<std::string>(ms) + " seconds.";
         }
@@ -189,9 +78,31 @@
     }
 
-
-void SpaceRace::tick(float dt)
+    void SpaceRace::tick(float dt)
     {
         SUPER(SpaceRace,tick,dt);
-}
+
+        // spawn the players already when the countdown starts, but deactivate their engines
+        if (this->isStartCountdownRunning() && !this->cantMove_)
+        {
+            this->spawnPlayersIfRequested();
+            this->cantMove_ = true;
+
+            for (Engine* engine : ObjectList<Engine>())
+                engine->setActive(false);
+        }
+
+        // activate the engines again if the countdown ends
+        if (!this->isStartCountdownRunning() && this->cantMove_)
+        {
+            for (Engine* engine : ObjectList<Engine>())
+                engine->setActive(true);
+
+            this->cantMove_= false;
+
+            std::string message = "The match has started! Reach the check points as quickly as possible!";
+            this->getGametypeInfo()->sendAnnounceMessage(message);
+            ChatManager::message(message);
+        }
+    }
 
     void SpaceRace::newCheckpointReached(RaceCheckPoint* checkpoint, PlayerInfo* player)
@@ -203,58 +114,21 @@
         int ms = this->clock_.getMilliseconds() % 1000;
 
-       
-    
-        const std::string& message = player->getName() + " reached the checkpoint " + multi_cast<std::string>(checkpoint->getCheckpointIndex() + 1) 
-        + "after " + multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms) + " seconds.";
- this->getGametypeInfo()->sendAnnounceMessage(message);
-        ChatManager::message(message);
-
-    }
-
- void SpaceRace::countdownFinished()//activates the engines of all players 
-    {
-
-        std::string message("RACE STARTED ");
+        const std::string& message = "Checkpoint " + multi_cast<std::string>(checkpoint->getCheckpointIndex() + 1)
+            + " reached after " + multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms) + " seconds.";
         this->getGametypeInfo()->sendAnnounceMessage(message);
-        ChatManager::message(message);
-
-
-    for (Engine* engine : ObjectList<Engine>())
-                engine->setActive(true);
-
-
-    
-}
-
- void SpaceRace::playerEntered(PlayerInfo* player)
-    {
-        Gametype::playerEntered(player);
-
-        const std::string& message = player->getName() + " entered the game";
         ChatManager::message(message);
     }
 
-
- void SpaceRace::addBots(unsigned int amount) //function that add the bots to the game 
-    {
-        for (unsigned int i = 1; i <= amount; ++i){
-            this->botclass_.fabricate(this->getContext());
-        }
-    }
-
-
-//set bot configurations
     bool SpaceRace::allowPawnHit(Pawn* victim, Pawn* originator)
     {
-        return true;
+        return false;
     }
 
     bool SpaceRace::allowPawnDamage(Pawn* victim, Pawn* originator)
     {
-        return true;
+        return false;
     }
 
-    bool SpaceRace::allowPawnDeath(Pawn* victim, Pawn* originator)// false because the bots can not recognize the objects and die to early 
-                                                                    //if they can 
+    bool SpaceRace::allowPawnDeath(Pawn* victim, Pawn* originator)
     {
         return false;
Index: code/branches/HUD_HS16/src/modules/gametypes/SpaceRace.h
===================================================================
--- code/branches/HUD_HS16/src/modules/gametypes/SpaceRace.h	(revision 11497)
+++ code/branches/HUD_HS16/src/modules/gametypes/SpaceRace.h	(revision 11499)
@@ -57,22 +57,9 @@
             virtual ~SpaceRace() {}
 
-             void setConfigValues();
+            virtual void tick(float dt) override;
 
-            virtual void tick(float dt) override;
-            virtual void start() override;
             virtual void end() override;
- virtual void countdownFinished();
-             virtual void addBots(unsigned int amount) override; //<! overwrite function in order to bypass the addbots command.
-
-
-
-             virtual void playerEntered(PlayerInfo* player) override;
-
-            //virtual void newCheckpointReached();
 
             void newCheckpointReached(RaceCheckPoint* checkpoint, PlayerInfo* player);
-            
-
-
             inline RaceCheckPoint* getCheckpointReached(PlayerInfo* player)
                 { return this->checkpointReached_[player]; }
Index: code/branches/HUD_HS16/src/modules/gametypes/SpaceRaceBot.cc
===================================================================
--- code/branches/HUD_HS16/src/modules/gametypes/SpaceRaceBot.cc	(revision 11497)
+++ code/branches/HUD_HS16/src/modules/gametypes/SpaceRaceBot.cc	(revision 11499)
@@ -23,16 +23,7 @@
  *      Author: purgham
  */
-#include <vector>
 
 #include "SpaceRaceBot.h"
-#include "core/GameMode.h"
 #include "core/CoreIncludes.h"
-#include "core/config/ConfigValueIncludes.h"
-#include "gametypes/Gametype.h"
-#include "controllers/AIController.h"
-#include "gametypes/SpaceRaceController.h"
-
-
-
 
 namespace orxonox
@@ -44,23 +35,4 @@
         this->defaultController_ = Class(SpaceRaceController);// ClassByString("")
         this->createController();
-
-    }
-
-SpaceRaceBot::~SpaceRaceBot(){
-
-}
-
-void SpaceRaceBot::setConfigValues()
-    {
-        static const std::string names[] =
-        {
-            "Dr. Julius No",
-            "Berkay Berabi",
-            "Louis Meile"         
-            "Yo mama"
-        };
-        static std::vector<std::string> defaultnames(names, names + sizeof(names) / sizeof(std::string));
-
-        SetConfigValue(names_, defaultnames);
     }
 }
Index: code/branches/HUD_HS16/src/modules/gametypes/SpaceRaceBot.h
===================================================================
--- code/branches/HUD_HS16/src/modules/gametypes/SpaceRaceBot.h	(revision 11497)
+++ code/branches/HUD_HS16/src/modules/gametypes/SpaceRaceBot.h	(revision 11499)
@@ -30,5 +30,4 @@
 #include "gametypes/GametypesPrereqs.h"
 #include "gametypes/SpaceRaceController.h"
-#include <vector>
 
 
@@ -36,26 +35,12 @@
 {
 
+    /**
+
+    */
     class _GametypesExport SpaceRaceBot: public Bot
     {
         public:
-        	SpaceRaceBot(Context* context);
-            virtual ~SpaceRaceBot();
-    
-            void setConfigValues();
-
-
-
- virtual inline bool isInitialized() const override
-                { return true; }
-            virtual inline float getPing() const override
-                { return 0; }
-            virtual inline float getPacketLossRatio() const override
-                { return 0; }
-
-
-  private:
-            std::vector<std::string> names_;
-
-
+        SpaceRaceBot(Context* context);
+            virtual ~SpaceRaceBot() {}
     };
 }
Index: code/branches/HUD_HS16/src/modules/gametypes/SpaceRaceController.cc
===================================================================
--- code/branches/HUD_HS16/src/modules/gametypes/SpaceRaceController.cc	(revision 11497)
+++ code/branches/HUD_HS16/src/modules/gametypes/SpaceRaceController.cc	(revision 11499)
@@ -16,5 +16,5 @@
  *   GNU General Public License for more details.
  *
- *   You should have     a copy of the GNU General Public License
+ *   You should have received a copy of the GNU General Public License
  *   along with this program; if not, write to the Free Software
  *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
@@ -58,4 +58,59 @@
         OrxAssert(!checkpoints.empty(), "No Checkpoints in Level");
         checkpoints_ = checkpoints;
+        /*orxout()<<"es gibt: "<<checkpoints_.size()<<"checkpoints"<<endl;
+        for(std::vector<RaceCheckPoint*>::iterator it=checkpoints_.begin(); it!=checkpoints_.end(); it++)
+        {
+            orxout()<<"Checkpoint "<<(*it)->getCheckpointIndex()<<"; NExtReal: ";
+            std::set<int> temp =(*it)->getNextCheckpoints();
+            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
+            {
+                orxout()<<(*ii)<<", ";
+            }
+
+            orxout()<<" NextVirtual: ";
+            temp=(*it)->getVirtualNextCheckpoints();
+            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
+            {
+                orxout()<<(*ii)<<", ";
+            }
+            orxout()<<endl<<endl;
+
+        }//ausgabe*/
+        /*
+        for (std::vector<RaceCheckPoint*>::iterator it = checkpoints.begin(); it != checkpoints.end(); ++it)
+        {
+            std::set<int> nextCheckPoints = ((*it)->getNextCheckpoints());
+            if(!nextCheckPoints.empty())
+            {
+                for (std::set<int>::iterator numb = nextCheckPoints.begin(); numb!=nextCheckPoints.end(); numb++)
+                {
+                    RaceCheckPoint* point2 = findCheckpoint((*numb));
+
+                    //if(point2 != nullptr)
+                    //placeVirtualCheckpoints((*it), point2);
+                }
+            }
+        }
+        */
+        /*
+        for(std::vector<RaceCheckPoint*>::iterator it=checkpoints_.begin(); it!=checkpoints_.end(); it++)
+        {
+            orxout()<<"Checkpoint "<<(*it)->getCheckpointIndex()<<"; NExtReal: ";
+            std::set<int> temp =(*it)->getNextCheckpoints();
+            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
+            {
+                orxout()<<(*ii)<<", ";
+            }
+
+            orxout()<<" NextVirtual: ";
+            temp=(*it)->getVirtualNextCheckpoints();
+            for (std::set<int>::iterator ii =temp.begin(); ii!=temp.end(); ii++)
+            {
+                orxout()<<(*ii)<<", ";
+            }
+            orxout()<<endl;
+
+        }//ausgabe
+        orxout()<<"es gibt: "<<checkpoints_.size()<<"checkpoints"<<endl;*/
         staticRacePoints_ = findStaticCheckpoints(nextRaceCheckpoint_, checkpoints);
         // initialisation of currentRaceCheckpoint_
@@ -67,4 +122,5 @@
             continue;
         }
+        //orxout()<<"Die ANzahl der virtuellen CP betraegt: "<< (-i)-2<<endl;
 
     }
@@ -169,5 +225,4 @@
                 minNextRaceCheckPoint = nextRaceCheckPoint;
             }
-
         }
 
@@ -308,5 +363,4 @@
             //orxout()<< "CP "<< currentRaceCheckpoint_->getCheckpointIndex()<<" chanched to: "<< nextRaceCheckpoint_->getCheckpointIndex()<<endl;
         }
-
         else if ((lastPositionSpaceship-this->getControllableEntity()->getPosition()).length()/dt > ADJUSTDISTANCE)
         {
@@ -326,8 +380,5 @@
         //orxout(user_status) << "dt= " << dt << ";  distance= " << (lastPositionSpaceship-this->getControllableEntity()->getPosition()).length() <<std::endl;
         lastPositionSpaceship = this->getControllableEntity()->getPosition();
-       
-this->boostControl();
         this->moveToPosition(nextRaceCheckpoint_->getPosition());
-        this->boostControl();
     }
 
Index: code/branches/HUD_HS16/src/modules/invader/Invader.cc
===================================================================
--- code/branches/HUD_HS16/src/modules/invader/Invader.cc	(revision 11497)
+++ code/branches/HUD_HS16/src/modules/invader/Invader.cc	(revision 11499)
@@ -33,5 +33,5 @@
 
 #include "Invader.h"
-#include "Highscore.h"
+
 #include "core/CoreIncludes.h"
 #include "core/EventIncludes.h"
@@ -189,10 +189,4 @@
         // It will misteriously crash the game!
         // Instead startMainMenu, this won't crash.
-        if (Highscore::exists()){
-                    int score = this->getPoints();
-                    if(score > Highscore::getInstance().getHighestScoreOfGame("Orxonox Arcade")) 
-                        Highscore::getInstance().storeHighscore("Orxonox Arcade",score);
-
-          }
         GSLevel::startMainMenu();
     }
Index: code/branches/HUD_HS16/src/modules/jump/Jump.cc
===================================================================
--- code/branches/HUD_HS16/src/modules/jump/Jump.cc	(revision 11497)
+++ code/branches/HUD_HS16/src/modules/jump/Jump.cc	(revision 11499)
@@ -34,5 +34,4 @@
 #include "Jump.h"
 #include "core/CoreIncludes.h"
-#include "Highscore.h"
 
 #include "JumpCenterpoint.h"
@@ -312,10 +311,5 @@
         cleanup();
         GSLevel::startMainMenu();
-        if (Highscore::exists()){
-                    int score = this->getScore(this->getPlayer());
-                    if(score > Highscore::getInstance().getHighestScoreOfGame("Jump")) 
-                        Highscore::getInstance().storeHighscore("Jump",score);
-
-          }
+
         Deathmatch::end();
     }
Index: code/branches/HUD_HS16/src/modules/pickup/DDDialogue.cc
===================================================================
--- code/branches/HUD_HS16/src/modules/pickup/DDDialogue.cc	(revision 11497)
+++ code/branches/HUD_HS16/src/modules/pickup/DDDialogue.cc	(revision 11499)
@@ -9,5 +9,4 @@
     RegisterClass(DDDialogue);
 
-
     /**
     @brief
@@ -19,11 +18,8 @@
     }
 
-    //getResponses
 
     bool DDDialogue::execute(bool bTriggered, BaseObject* trigger)
     {  
         if(!bTriggered) return false;
-
-        
 
         orxout() << "bTriggered is " << bTriggered;
@@ -49,5 +45,3 @@
         XMLPortEventSink(DDDialogue, BaseObject, "execute", execute, xmlelement, mode); 
     }
-
-
 }
Index: code/branches/HUD_HS16/src/modules/tetris/Tetris.cc
===================================================================
--- code/branches/HUD_HS16/src/modules/tetris/Tetris.cc	(revision 11497)
+++ code/branches/HUD_HS16/src/modules/tetris/Tetris.cc	(revision 11499)
@@ -39,5 +39,4 @@
 
 #include "Tetris.h"
-#include "Highscore.h"
 
 #include "core/CoreIncludes.h"
@@ -328,10 +327,5 @@
             this->player_->stopControl();
         }
-         if (Highscore::exists()){
-                    int score = this->getScore(this->getPlayer());
-                    if(score > Highscore::getInstance().getHighestScoreOfGame("Tetris")) 
-                        Highscore::getInstance().storeHighscore("Tetris",score);
-
-          }
+
         this->cleanup();
 
Index: code/branches/HUD_HS16/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- code/branches/HUD_HS16/src/modules/towerdefense/TowerDefense.cc	(revision 11497)
+++ code/branches/HUD_HS16/src/modules/towerdefense/TowerDefense.cc	(revision 11499)
@@ -81,5 +81,4 @@
 #include "chat/ChatManager.h"
 #include "core/CoreIncludes.h"
-#include "Highscore.h"
 
 namespace orxonox
@@ -198,10 +197,5 @@
     void TowerDefense::end()
     {
-        if (Highscore::exists()){
-                    int score = this->getWaveNumber();
-                    if(score > Highscore::getInstance().getHighestScoreOfGame("Tower Defense")) 
-                        Highscore::getInstance().storeHighscore("Tower Defense",score);
-
-          }
+
         TeamDeathmatch::end();
         ChatManager::message("Match is over! Gameover!");
Index: code/branches/HUD_HS16/src/orxonox/CMakeLists.txt
===================================================================
--- code/branches/HUD_HS16/src/orxonox/CMakeLists.txt	(revision 11497)
+++ code/branches/HUD_HS16/src/orxonox/CMakeLists.txt	(revision 11499)
@@ -28,5 +28,4 @@
   LevelInfo.cc
   LevelManager.cc
-  Highscore.cc
   Main.cc
   MoodManager.cc
@@ -62,5 +61,4 @@
     LevelInfo.h
     LevelManager.h
-    Highscore.h
     MoodManager.h
     controllers/HumanController.h
Index: code/branches/HUD_HS16/src/orxonox/Highscore.cc
===================================================================
--- code/branches/HUD_HS16/src/orxonox/Highscore.cc	(revision 11497)
+++ 	(revision )
@@ -1,58 +1,0 @@
-#include "Highscore.h"
-
-#include <vector>
-#include "core/CoreIncludes.h"
-#include "core/config/ConfigValueIncludes.h"
-#include "core/singleton/ScopedSingletonIncludes.h"
-
-namespace orxonox
-{
-
-    ManageScopedSingleton(Highscore, ScopeID::ROOT, false);
-	RegisterClassNoArgs(Highscore);
-
-	Highscore::Highscore()
-    {
-        RegisterObject(Highscore);
-        this->setConfigValues();
-    }
-    /**
-     * @brief set the config values in the orxonox.ini file
-     */
-    void Highscore::setConfigValues()
-    {
-        SetConfigValue(highscores_, std::vector<std::string>()).description("Highscores saved as vector");
-        SetConfigValue(playerName_, "Player").description("Name of the player");
-    }
-    /**
-     * @brief Returns highest score of given game, if exists.
-     * Else returns -1.
-     */
-    int Highscore::getHighestScoreOfGame(std::string game){
-        std::string delimiter = "./."; //score save as "Playername./.game./.score"
-        int best = -1;
-        //check for the highest Score of given game
-        for (std::string score : this->highscores_)
-        {
-            //filter the game string from given highscore
-            score.erase(0, score.find(delimiter) + delimiter.length());
-            if(game.compare(score.substr(0,score.find(delimiter))) == 0){
-                score.erase(0, score.find(delimiter) + delimiter.length());
-                int possibleBest = std::stoi(score);
-                if(possibleBest > best) best = possibleBest;
-            }
-
-
-        }
-        
-        return best;
-        
-    }
-    /**
-     * @brief stores a new highscore in the orxonox.ini file
-     */
-    void Highscore::storeHighscore(std::string level, int points){
-        ModifyConfigValue(highscores_, add, playerName_+"./."+level+"./."+std::to_string(points));
-    }
-    
-}
Index: code/branches/HUD_HS16/src/orxonox/Highscore.h
===================================================================
--- code/branches/HUD_HS16/src/orxonox/Highscore.h	(revision 11497)
+++ 	(revision )
@@ -1,39 +1,0 @@
-#include <string>
-#include "core/config/Configurable.h"
-#include "OrxonoxPrereqs.h"
-#include "util/Singleton.h"
-// tolua_begin
-namespace orxonox
-{
-class _OrxonoxExport Highscore 
-// tolua_end
- : public Singleton<Highscore>, public Configurable
-{ //tolua_export
-    friend class Singleton<Highscore>;
-    public:
-        Highscore();              // Constructor
-        void setConfigValues(); // Inherited function
-        void storeHighscore(std::string level, int points);
-
-        int getHighestScoreOfGame(std::string game);
-        // tolua_begin
-        inline unsigned int getNumberOfHighscores()
-                { return this->highscores_.size(); }
-            inline const std::string& getHighscore(unsigned int index)
-                { return this->highscores_[index]; }
-
-        static Highscore& getInstance()
-                { return Singleton<Highscore>::getInstance(); }
-
-        // tolua_end 
-
-
-    private:
-        std::vector<std::string> highscores_;
-        float version_;
-        std::string playerName_;
-        static Highscore* singletonPtr_s;
-}; //tolua_export
-
-
-} //tolua_export
Index: code/branches/HUD_HS16/src/orxonox/LevelInfo.cc
===================================================================
--- code/branches/HUD_HS16/src/orxonox/LevelInfo.cc	(revision 11497)
+++ code/branches/HUD_HS16/src/orxonox/LevelInfo.cc	(revision 11499)
@@ -151,14 +151,4 @@
     }
 
-    bool LevelInfoItem::addHighscore(const std::string& name, const int score)
-    {
-        std::stringstream stream;
-        stream << name << "/:/" << score;
-        bool success = this->highscores_.insert(stream.str()).second;
-        if(success)
-            this->highscoresUpdated();
-        return success;
-    }
-
     /**
     @brief
@@ -201,19 +191,4 @@
     }
 
-    void LevelInfoItem::highscoresUpdated(void)
-    {
-        std::stringstream stream;
-        std::set<std::string>::iterator temp;
-        for(std::set<std::string>::iterator it = this->highscores_.begin(); it != this->highscores_.end(); )
-        {
-            temp = it;
-            if(++it == this->highscores_.end()) // If this is the last tag we don't add a comma.
-                stream << *temp;
-            else
-                stream << *temp << ", ";
-        }
-
-        this->highscoresString_ = std::string(stream.str());
-    }
     /**
     @brief
Index: code/branches/HUD_HS16/src/orxonox/LevelInfo.h
===================================================================
--- code/branches/HUD_HS16/src/orxonox/LevelInfo.h	(revision 11497)
+++ code/branches/HUD_HS16/src/orxonox/LevelInfo.h	(revision 11499)
@@ -118,8 +118,4 @@
             inline bool hasTag(const std::string& tag) const { return this->tags_.find(tag) != this->tags_.end(); } // tolua_export
 
-            bool addHighscore(const std::string& name,const int score);
-
-            inline const std::string& getHighscores(void) const { return this->highscoresString_; } // tolua_export
-
             void setStartingShips(const std::string& ships); //!< Set the starting ship models of the level
             bool addStartingShip(const std::string& ship, bool update = true); //!< Add a model to shipselection
@@ -158,5 +154,4 @@
             void startingshipsUpdated(void); //!< Updates the comma-seperated string of all possible starting ships.
             void tagsUpdated(void); //!< Updates the comma-seperated string of all tags, if the set of tags has changed.
-            void highscoresUpdated(void);
             static void initializeTags(void); //!< Initialize the set of allowed tags.
             /**
@@ -175,8 +170,4 @@
             std::string screenshot_; //!< The screenshot of the Level.
             std::set<std::string> tags_; //!< The set of tags the Level is tagged with.
-
-            std::set<std::string> highscores_; 
-            std::string highscoresString_;
-
             std::string tagsString_; //!< The comma-seperated string of all the tags the Level is tagged with.
             std::set<std::string> startingShips_; //!< The set of starting ship models the Level allows.
@@ -253,7 +244,4 @@
             inline const std::string& getTags(void) const
                 { return this->LevelInfoItem::getTags(); }
-
-            inline const std::string& getHighscores(void) const
-                { return this->LevelInfoItem::getHighscores(); }
             /**
             @brief Set the starting ship models of the level
Index: code/branches/HUD_HS16/src/orxonox/controllers/HumanController.h
===================================================================
--- code/branches/HUD_HS16/src/orxonox/controllers/HumanController.h	(revision 11497)
+++ code/branches/HUD_HS16/src/orxonox/controllers/HumanController.h	(revision 11499)
@@ -92,7 +92,7 @@
             //friend class, for mouselook
             friend class Map;
-            static HumanController* localController_s;
 
         protected:
+            static HumanController* localController_s;
             bool controlPaused_;
 
Index: code/branches/HUD_HS16/src/orxonox/gamestates/GSLevel.cc
===================================================================
--- code/branches/HUD_HS16/src/orxonox/gamestates/GSLevel.cc	(revision 11497)
+++ code/branches/HUD_HS16/src/orxonox/gamestates/GSLevel.cc	(revision 11499)
@@ -50,4 +50,5 @@
 #include "PlayerManager.h"
 #include "GSRoot.h"
+// #include "overlays/hud/HUDPickupSystem.h"
 
 namespace orxonox
@@ -126,4 +127,11 @@
             InputManager::getInstance().leaveState("game");
 
+        // HUDPickupSystem* pickupSystem;
+
+        // for (HUDPickupSystem* hud : ObjectList<HUDPickupSystem>())
+        //     pickupSystem = hud;
+
+        // pickupSystem->repaint=false;
+
         // disconnect all HumanPlayers
         PlayerManager::getInstance().disconnectAllClients();
Index: code/branches/HUD_HS16/src/orxonox/gamestates/GSLevel.h
===================================================================
--- code/branches/HUD_HS16/src/orxonox/gamestates/GSLevel.h	(revision 11497)
+++ code/branches/HUD_HS16/src/orxonox/gamestates/GSLevel.h	(revision 11499)
@@ -31,4 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
+// #include "overlays/OverlaysPrereqs.h"
 
 #include <string>
Index: code/branches/HUD_HS16/src/orxonox/gametypes/CMakeLists.txt
===================================================================
--- code/branches/HUD_HS16/src/orxonox/gametypes/CMakeLists.txt	(revision 11497)
+++ code/branches/HUD_HS16/src/orxonox/gametypes/CMakeLists.txt	(revision 11499)
@@ -11,4 +11,3 @@
   TeamGametype.cc
   Mission.cc
-  StoryMode.cc
 )
Index: code/branches/HUD_HS16/src/orxonox/gametypes/Gametype.cc
===================================================================
--- code/branches/HUD_HS16/src/orxonox/gametypes/Gametype.cc	(revision 11497)
+++ code/branches/HUD_HS16/src/orxonox/gametypes/Gametype.cc	(revision 11499)
@@ -96,5 +96,5 @@
         }
     }
-    
+
     /**
      * @brief Initializes sub-objects of the Gametype. This must be called after the constructor.
Index: code/branches/HUD_HS16/src/orxonox/gametypes/StoryMode.cc
===================================================================
--- code/branches/HUD_HS16/src/orxonox/gametypes/StoryMode.cc	(revision 11497)
+++ 	(revision )
@@ -1,100 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Marvin Haeberle & Julian Huwyler
- *   Co-authors:
- *      ...
- *
- */
-
-#include "StoryMode.h"
-
-#include "items/Engine.h"
-#include "controllers/ArtificialController.h"
-
-#include "core/CoreIncludes.h"
-#include "core/command/ConsoleCommandIncludes.h"
-#include "infos/PlayerInfo.h"
-#include "network/Host.h"
-#include "worldentities/pawns/Pawn.h"
-#include "LevelManager.h"
-
-namespace orxonox
-{
-
-    SetConsoleCommand("StoryMode", "exit", &StoryMode::exit);
-    RegisterUnloadableClass(StoryMode);
-    
-    StoryMode::StoryMode(Context* context) : Gametype(context)
-    {
-        RegisterObject(StoryMode);
-
-        this->gtinfo_ = new GametypeInfo(context);
-        this->bAutoStart_ = true;
-        this->bForceSpawn_ = true;
-    }
-
-    
-  /* 
-    void StoryMode::start()
-    {
-        Gametype::start();
-
-        this->gtinfo_->sendAnnounceMessage("Marvin isch Chef");
-    }
-*/
-    void StoryMode::exit()
-    {
-        orxout() << "s funktioniert"<< endl;
-        for (StoryMode* mission : ObjectList<StoryMode>())
-        { //TODO: make sure that only the desired mission is ended !! This is a dirty HACK, that would end ALL missions!
-            mission->end();
-        }
-        //Gametype::end();
-    }
-/*
-    void Mission::setTeams()
-    { //Set pawn-colours
-        for (Pawn* pawn : ObjectList<Pawn>())
-        {
-            if (!pawn)
-                continue;
-            this->setDefaultObjectColour(pawn);
-        }
-    }
-    void Mission::endMission(bool accomplished)
-    {
-        for (Mission* mission : ObjectList<Mission>())
-        { //TODO: make sure that only the desired mission is ended !! This is a dirty HACK, that would end ALL missions!
-            mission->setMissionAccomplished(accomplished);
-            mission->end();
-        }
-    }
-
-    void Mission::setLivesWrapper(unsigned int amount)
-    {
-        for (Mission* mission : ObjectList<Mission>())
-        { //TODO: make sure that only the desired mission is ended !! This is a dirty HACK, that would affect ALL missions!
-            mission->setLives(amount);
-        }
-    }*/
-}
Index: code/branches/HUD_HS16/src/orxonox/gametypes/StoryMode.h
===================================================================
--- code/branches/HUD_HS16/src/orxonox/gametypes/StoryMode.h	(revision 11497)
+++ 	(revision )
@@ -1,49 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Julian Huwyler & Marvin Haeberle
- *   Co-authors:
- *      ...
- *
- */
-
-#ifndef _Mission_H__
-#define _Mission_H__
-
-#include "OrxonoxPrereqs.h"
-#include "Gametype.h"
-
-namespace orxonox
-{
-    class _OrxonoxExport StoryMode : public Gametype
-    {
-        public:
-            StoryMode(Context* context);
-            virtual ~StoryMode() {}
-            static void exit();
-
-            
-    };
-}
-
-#endif /* _Mission_H__ */
-
Index: code/branches/HUD_HS16/src/orxonox/infos/Bot.cc
===================================================================
--- code/branches/HUD_HS16/src/orxonox/infos/Bot.cc	(revision 11497)
+++ code/branches/HUD_HS16/src/orxonox/infos/Bot.cc	(revision 11499)
@@ -68,17 +68,28 @@
         static const std::string names[] =
         {
-            "Berkay Berabi",
-            "Louis  Meile"
-            "Muten Roshi",
-            "Abradolf Lincler",
-            "Lionel Messi",
+            "Dr. Julius No",
+            "Rosa Klebb",
+            "Auric Goldfinger",
+            "Emilio Largo",
+            "Ernst Stavro Blofeld",
+            "Dr. Kananga",
+            "Francisco Scaramanga",
+            "Karl Stromberg",
+            "Sir Hugo Drax",
+            "Aris Kristatos",
             "Kamal Khan",
-            "Karl the Llama",
-            "Thomas the Tankengine",
-            "Rick",
-            "Morty",
-            "Charlie the Unicorn",
-            "Kung Fury",
-            "Postman Pat"
+            "General Orlov",
+            "Max Zorin",
+            "Brad Whitaker",
+            "General Georgi Koskov",
+            "Franz Sanchez",
+            "Alec Trevelyan",
+            "Elliot Carver",
+            "Elektra King",
+            "Viktor Zokas",
+            "Gustav Graves",
+            "Le Chiffre",
+            "Mr. White",
+            "Dominic Greene"
         };
         static std::vector<std::string> defaultnames(names, names + sizeof(names) / sizeof(std::string));
Index: code/branches/HUD_HS16/src/orxonox/infos/GametypeInfo.h
===================================================================
--- code/branches/HUD_HS16/src/orxonox/infos/GametypeInfo.h	(revision 11497)
+++ code/branches/HUD_HS16/src/orxonox/infos/GametypeInfo.h	(revision 11499)
@@ -83,5 +83,4 @@
             inline bool isStartCountdownRunning() const
                 { return this->bStartCountdownRunning_; }
-            
             void changedStartCountdownRunning(void); // Is called when the start countdown has been either started or stopped.
 
@@ -133,10 +132,9 @@
             void dispatchStaticMessage(const std::string& message,const ColourValue& colour) const;
             void dispatchFadingMessage(const std::string& message) const;
-            void setStartCountdown(float countdown); // Set the start countdown to the input value.
-
 
         protected:
             void start(void); // Inform the GametypeInfo that the game has started.
             void end(void); // Inform the GametypeInfo that the game has ended.
+            void setStartCountdown(float countdown); // Set the start countdown to the input value.
             void countdownStartCountdown(float countDown); // Count down the start countdown by the specified value.
             void countDown(); // Count down the start countdown counter.
Index: code/branches/HUD_HS16/src/orxonox/sound/WorldAmbientSound.cc
===================================================================
--- code/branches/HUD_HS16/src/orxonox/sound/WorldAmbientSound.cc	(revision 11497)
+++ code/branches/HUD_HS16/src/orxonox/sound/WorldAmbientSound.cc	(revision 11499)
@@ -58,6 +58,4 @@
         soundList_.emplace_back("Ganymede.ogg");
         soundList_.emplace_back("luke_grey_-_hypermode.ogg");
-        soundList_.emplace_back("racetheme.ogg");
-
 
     }
Index: code/branches/HUD_HS16/src/test.txt
===================================================================
--- code/branches/HUD_HS16/src/test.txt	(revision 11497)
+++ 	(revision )
@@ -1,123 +1,0 @@
- #
- #             ORXONOX - the hottest 3D action shooter ever to exist
- #                             > www.orxonox.net <
- #
- #        This program is free software; you can redistribute it and/or
- #         modify it under the terms of the GNU General Public License
- #        as published by the Free Software Foundation; either version 2
- #            of the License, or (at your option) any later version.
- #
- #       This program is distributed in the hope that it will be useful,
- #        but WITHOUT ANY WARRANTY; without even the implied warranty of
- #        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- #                 GNU General Public License for more details.
- #
- #   You should have received a copy of the GNU General Public License along
- #      with this program; if not, write to the Free Software Foundation,
- #     Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- #
- #
- #  Author:
- #    Reto Grieder
- #  Description:
- #    Configures the compilers and sets build options.
- #
-
-# Required macros and functions
-INCLUDE(FlagUtilities)
-INCLUDE(TargetUtilities)
-
-INCLUDE(SourceConfig.cmake)
-
-# Configure the two headers and set some options
-INCLUDE(OrxonoxConfig.cmake)
-
-################ Sub Directories ################
-
-ADD_SUBDIRECTORY(external)
-ADD_SUBDIRECTORY(libraries)
-ADD_SUBDIRECTORY(orxonox)
-SET(ORXONOX_MODULES CACHE INTERNAL "")
-SET(ORXONOX_PLUGINS CACHE INTERNAL "")
-ADD_SUBDIRECTORY(modules)
-
-################## Executable ###################
-
-INCLUDE_DIRECTORIES(
-  ${CMAKE_CURRENT_SOURCE_DIR}/libraries
-  ${CMAKE_CURRENT_SOURCE_DIR}/orxonox
-)
-
-# Translate argument
-IF(ORXONOX_USE_WINMAIN)
-  SET(ORXONOX_WIN32 WIN32)
-ENDIF()
-
-SET(ORXONOX_MAIN_FILES Orxonox.cc)
-
-# Add special source file for OS X
-IF(APPLE)
-  LIST(APPEND ORXONOX_MAIN_FILES OrxonoxMac.mm)
-# Add the icon for win32 builds
-ELSEIF(WIN32)
-  LIST(APPEND ORXONOX_MAIN_FILES ${CMAKE_SOURCE_DIR}/contrib/winresource.rc)
-ENDIF()
-
-ORXONOX_ADD_EXECUTABLE(orxonox-main
-  # When defined as WIN32 this removes the console window on Windows
-  ${ORXONOX_WIN32}
-  LINK_LIBRARIES
-    orxonox
-  SOURCE_FILES
-    ${ORXONOX_MAIN_FILES}
-  OUTPUT_NAME orxonox
-)
-# Main executable should depend on all modules (but not on plugins)
-ADD_DEPENDENCIES(orxonox-main ${ORXONOX_MODULES})
-
-# Get name to configure the run scripts
-IF (POLICY CMP0026)
-  CMAKE_POLICY(PUSH)
-  CMAKE_POLICY(SET CMP0026 OLD) # we only use the file's name, not its actual location, so the old policy is fine
-ENDIF()
-GET_TARGET_PROPERTY(_exec_loc orxonox-main LOCATION)
-GET_FILENAME_COMPONENT(_exec_name ${_exec_loc} NAME)
-SET(ORXONOX_EXECUTABLE_NAME ${_exec_name} CACHE INTERNAL "")
-IF (POLICY CMP0026)
-  CMAKE_POLICY(POP) # set policy back to original settings
-ENDIF()
-
-
-# Apple Mac OS X specific build settings
-IF(APPLE)
-  # On Apple we need to link to AppKit and Foundation frameworks
-  TARGET_LINK_LIBRARIES(orxonox-main 
-    "-framework AppKit"
-    "-framework Foundation"
-  )
-
-  # Post-build step for the creation of the Dev-App bundle
-  INCLUDE(PrepareDevBundle)
-  ADD_CUSTOM_COMMAND(
-    TARGET orxonox-main
-    POST_BUILD 
-    # Copy the executable into the Orxonox.app
-    COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${CMAKE_CFG_INTDIR}/${ORXONOX_EXECUTABLE_NAME}" "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${CMAKE_CFG_INTDIR}/${PROJECT_NAME}.app/Contents/MacOS"
-    # Copy the dev-build marker file to Orxonox.app
-    COMMAND ${CMAKE_COMMAND} -E copy "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${CMAKE_CFG_INTDIR}/orxonox_dev_build.keep_me" "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${CMAKE_CFG_INTDIR}/${PROJECT_NAME}.app/Contents/MacOS"
-    # Create a shortcut of the application to the root of the build tree
-    COMMAND ${CMAKE_COMMAND} -E create_symlink "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${CMAKE_CFG_INTDIR}/${PROJECT_NAME}.app" "${CMAKE_BINARY_DIR}/${PROJECT_NAME}.app" 
-  ) 
-ENDIF(APPLE)
-
-#################### Doxygen ####################
-
-# Prepare include paths for Doxygen. This is necessary to display
-# the correct path to use when including a file, e.g.
-# core/XMLPort.h instead of src/core/XMLPort.h
-
-INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/modules)
-GET_DIRECTORY_PROPERTY(_temp INCLUDE_DIRECTORIES)
-# Replace ';' by spaces
-STRING(REPLACE ";" " " _temp "${_temp}")
-SET(DOXYGEN_INCLUDE_DIRECTORIES "${_temp}" PARENT_SCOPE)
